Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Pesadilla con libsigc++, atkmm y gtkmm[Solucionado]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
chrootman
n00b
n00b


Joined: 18 Aug 2020
Posts: 11

PostPosted: Mon Oct 12, 2020 10:26 am    Post subject: Pesadilla con libsigc++, atkmm y gtkmm[Solucionado] Reply with quote

Tuve una pesadilla con dev-libs/libsigc++ dev-cpp/atkmm y dev-cpp/gtkmm, sobre todo el penúltimo. Seleccione ese profile de systemd(no openrc), no multilib ni tampoco desktop, compile el kernel de acuerdo a mi hw, actualizé, emerge world, agregue la linea de systemd en el grub, instalé xfce y cuando lanzaba algunas aplicaciones como gparted, firefox, gedit se congelaban, lo mismo con los menus de mate, lo instalé pensando que el problema era de xfce, pero no. Desde el terminal algo como:
Code:
munmap_chunk(): invalid pointer

O bien
Code:
Exiting due to channel error.
Exiting due to channel error.
Exiting due to channel error.
Exiting due to channel error.
Segmentation fault (core dumped)

Y luego cuando trataba de compilar y aparecía algo de glibmm:
Code:
Package 'glibmm-2.4', required by 'virtual:world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables ATKMM_CFLAGS
and ATKMM_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

!!! Please attach the following file when seeking support:
!!! /home/var/tmp/portage/dev-cpp/atkmm-2.28.0/work/atkmm-2.28.0-abi_x86_64.amd64/config.log

Entonces agregué ABI_X86="64 32" a /etc/portage/make.conf
Code:
....
EMERGE_DEFAULT_OPTS="--autounmask-write=n --exclude gentoo-sources --keep-going --complete-graph=y --verbose-conflicts --verbose-slot-rebuilds --with-bdeps=y"
ABI_X86="64 32"
......

https://wiki.gentoo.org/wiki/Multilib/gx86-multilib

Posiblemente algún error en el futuro tenga que ver con que añadí overlays con layman y posiblemente tenga que forzar la instalación desde el árbol de portage en lugar del overlay como en este link.

https://forums.gentoo.org/viewtopic-p-7093216.html

Code:
emerge --ask dev-cpp/pangomm
emerge --ask dev-libs/libsigc++
emerge --ask dev-cpp/atkmm
emerge --ask dev-cpp/gtkmm

https://bugs.gentoo.org/702604

/etc/portage/package.use/usevars
Code:
>=sys-kernel/linux-firmware-20200519 initramfs
>=sys-firmware/intel-microcode-20200520_p20200601 initramfs

>=x11-base/xorg-server-1.20.8-r1 systemd ipv6 libglvnd systemd udev xorg -elogind
>=sys-apps/dbus-1.12.18 X -elogind systemd
>=sys-auth/polkit-0.116-r1 gtk introspection nls pam systemd -consolekit -elogind 
>=sys-auth/pambase-20190402 cracklib -elogind nullok sha512 systemd -consolekit -debug -minimal -mktemp -pam_krb5 -pam_ssh -passwdqc -securetty
>=gnome-base/gvfs-1.42.2::gentoo cdda -elogind http policykit systemd udev udisks
>=sys-fs/udisks-2.8.4::gentoo acl -elogind introspection nls systemd
>=sys-apps/systemd-244.3 policykit
sys-apps/systemd -sysv-utils
sys-apps/openrc -netifrc
dev-python/pygobject -python_targets_python2_7
dev-lang/python gdbm ipv6 ncurses readline ssl xml system-icu sqlite           
xfce-base/thunar pcre trash-panel-plugin -libnotify udisks

>=media-libs/libpng-1.6.37 apng
>=media-libs/libvpx-1.7.0-r1 postproc
>=dev-db/sqlite-3.32.3 secure-delete

>=media-libs/libcanberra-0.30-r5 gnome gtk gtk3 sound udev alsa -gstreamer -oss -pulseaudio -tdb
sys-fs/ntfs3g suid
>=app-office/libreoffice-6.4.3.2 java
>=x11-misc/xdg-utils-1.1.3_p20200220-r1 gnome dbus
>=dev-qt/qtgui-5.15.1 dbus
>=dev-qt/qtwebchannel-5.15.1 qml
>=dev-libs/libxml2-2.9.10-r3 icu
>=media-libs/libvpx-1.9.0 svc
>=sys-libs/zlib-1.2.11-r2 minizip
>=app-crypt/pinentry-1.1.0-r3 gnome-keyring
>=app-text/poppler-20.10.0 cairo
virtual/notification-daemon -gnome -kde

/etc/portage/package.use/zz-autounmask
Code:
#=virtual/libudev-232-r2 ~amd64
#=sys-fs/eudev-3.2.9 ~amd64
# required by net-libs/webkit-gtk-2.28.3::gentoo
# required by @preserved-rebuild (argument)
>=media-libs/harfbuzz-2.6.7 icu
# required by dev-qt/qtcore-5.14.2::gentoo
# required by @preserved-rebuild (argument)
>=dev-libs/libpcre2-10.34 pcre16
# required by x11-misc/xdg-utils-1.1.3_p20200220::gentoo
# required by net-print/cups-2.3.3-r1::gentoo[X]
# required by app-text/ghostscript-gpl-9.50::gentoo[cups]
# required by net-print/cups-filters-1.27.4::gentoo[postscript]
>=app-text/xmlto-0.0.28-r3 text
# required by net-print/cups-filters-1.27.4::gentoo[postscript]
# required by net-print/cups-2.3.3-r1::gentoo
# required by www-client/google-chrome-84.0.4147.105::gentoo
# required by www-client/google-chrome (argument)
>=app-text/ghostscript-gpl-9.50 cups
# required by media-sound/gnome-music-3.34.6::gentoo
# required by gnome-base/gnome-extra-apps-3.34.4::gentoo[tracker]
# required by gnome-base/gnome-3.34.4::gentoo[extras]
# required by gnome-base/gnome (argument)
>=media-plugins/grilo-plugins-0.3.11 tracker
# required by gnome-base/gnome-control-center-3.34.5-r1::gentoo[cups]
# required by net-libs/gnome-online-accounts-3.34.1::gentoo[gnome]
# required by media-sound/gnome-music-3.34.6::gentoo
# required by gnome-base/gnome-extra-apps-3.34.4::gentoo[tracker]
# required by gnome-base/gnome-3.34.4::gentoo[extras]
# required by gnome-base/gnome (argument)
>=net-print/cups-2.3.3-r1 dbus
# required by gnome-base/gnome-control-center-3.34.5-r1::gentoo[cups]
# required by net-libs/gnome-online-accounts-3.34.1::gentoo[gnome]
# required by media-sound/gnome-music-3.34.6::gentoo
# required by gnome-base/gnome-extra-apps-3.34.4::gentoo[tracker]
# required by gnome-base/gnome-3.34.4::gentoo[extras]
# required by gnome-base/gnome (argument)
>=net-fs/samba-4.11.11 client
# required by gnome-extra/cinnamon-desktop-4.4.1::gentoo
# required by gnome-extra/cinnamon-desktop (argument)
>=dev-libs/glib-2.62.6 dbus
# required by media-sound/pulseaudio-13.0::gentoo[alsa-plugin,alsa]
# required by gnome-extra/cinnamon-desktop-4.4.1::gentoo
# required by gnome-extra/cinnamon-desktop (argument)
>=media-plugins/alsa-plugins-1.2.2 pulseaudio
# required by net-misc/networkmanager-1.18.6::gentoo[wifi,-iwd]
# required by xfce-extra/xfce4-power-manager-1.6.6::gentoo[networkmanager]
# required by xfce-extra/xfce4-power-manager (argument)
>=net-wireless/wpa_supplicant-2.9-r2 dbus
# required by app-office/libreoffice-6.4.3.2::gentoo
# required by app-office/libreoffice (argument)
>=dev-libs/xmlsec-1.2.29 nss
# required by xfce-base/xfce4-panel-4.15.4::gentoo
# required by xfce-base/xfce4-meta-4.16_pre1::gentoo
# required by @selected
# required by @world (argument)
>=dev-libs/libdbusmenu-16.04.0-r1 gtk3

/etc/portage/package.accept_keywords
Code:
=sys-fs/eudev-3.2.9 ~amd64
=virtual/libudev-232-r2 ~amd64
sys-kernel/genkernel-next ~amd64
app-backup/timeshift
=gnome-extra/cinnamon-4.4.8 ~amd64

# required by gnome-extra/cinnamon-desktop (argument)
=gnome-extra/cinnamon-desktop-4.4.1 ~amd64

Esto porque todavía no termino de compilar luego del cambio de ABI_X86="64 32".
Code:
# emerge -a -uDU --with-bdeps=y @world --autounmask-write --autounmask-backtrack=y --keep-going --backtrack=50

 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] app-arch/bzip2-1.0.8-r1  ABI_X86="32*"
[ebuild   R    ] sys-libs/ncurses-6.2_p20201003  ABI_X86="32*"
[ebuild   R    ] dev-libs/lzo-2.10  ABI_X86="32*"
[ebuild   R    ] dev-util/pkgconf-1.7.3  ABI_X86="32*"
[ebuild   R    ] media-libs/libogg-1.3.4  ABI_X86="32*"
[ebuild   R    ] media-libs/opus-1.3.1-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/libatomic_ops-7.6.10  ABI_X86="32*"
[ebuild   R    ] net-libs/http-parser-2.9.4  ABI_X86="32*"
[ebuild   R    ] sys-apps/tcp-wrappers-7.6.28  ABI_X86="32*"
[ebuild   R    ] dev-libs/libaio-0.3.112  ABI_X86="32*"
[ebuild   R    ] sys-libs/readline-8.0_p4  ABI_X86="32*"
[ebuild   R    ] dev-libs/fribidi-1.0.9  ABI_X86="32*"
[ebuild   R    ] sys-libs/e2fsprogs-libs-1.45.6  ABI_X86="32*"
[ebuild   R    ] net-libs/nghttp2-1.41.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/boost-1.74.0-r1  ABI_X86="32*"
[ebuild   R    ] sys-libs/libseccomp-2.5.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/libbsd-0.10.0  ABI_X86="32*"
[ebuild   R    ] sys-libs/slang-2.3.2  ABI_X86="32*"
[ebuild   R    ] app-arch/xz-utils-5.2.5  ABI_X86="32*"
[ebuild   R    ] media-libs/freetype-2.10.2-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/libpng-1.6.37-r2  ABI_X86="32*"
[ebuild   R    ] dev-libs/libunistring-0.9.10  ABI_X86="32*"
[ebuild   R    ] dev-libs/libpcre2-10.35  ABI_X86="32*"
[ebuild   R    ] sys-apps/file-5.39-r3  ABI_X86="32*"
[ebuild   R    ] media-libs/lcms-2.11  ABI_X86="32*"
[ebuild   R    ] dev-libs/boehm-gc-8.0.4  ABI_X86="32*"
[ebuild   R    ] app-arch/zstd-1.4.5  ABI_X86="32*"
[ebuild   R    ] dev-libs/libltdl-2.4.6  ABI_X86="32*"
[ebuild   R    ] net-libs/libtirpc-1.2.6  ABI_X86="32*"
[ebuild   R    ] dev-libs/gmp-6.2.0-r1  ABI_X86="32*"
[ebuild   R    ] net-libs/libnsl-1.3.0-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/mpfr-4.1.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/mpc-1.2.0  ABI_X86="32*"
[ebuild   R    ] media-libs/openh264-2.1.1  ABI_X86="32*"
[ebuild   R    ] media-libs/libvpx-1.9.0  ABI_X86="32*"
[ebuild   R    ] media-gfx/graphite2-1.3.14  ABI_X86="32*"
[ebuild   R    ] app-arch/lz4-1.9.2 [1.9.2] ABI_X86="32*"
[ebuild   R    ] media-libs/libjpeg-turbo-2.0.5-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/libaom-2.0.0  ABI_X86="32*"
[ebuild   R    ] app-arch/brotli-1.0.9-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/json-c-0.15  ABI_X86="32*"
[ebuild   R    ] virtual/jpeg-100  ABI_X86="32*"
[ebuild   R    ] x11-libs/libdrm-2.4.102  ABI_X86="32*"
[ebuild   R    ] x11-libs/pixman-0.40.0  ABI_X86="32*"
[ebuild   R    ] dev-lang/orc-0.4.31  ABI_X86="32*"
[ebuild   R    ] media-libs/dav1d-0.7.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/libevdev-1.9.1  ABI_X86="32*"
[ebuild     U  ] sys-auth/pambase-20201010 [20200917]
[ebuild   R    ] virtual/libcrypt-1-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/openssl-1.1.1h  ABI_X86="32*"
[ebuild   R    ] sys-devel/llvm-10.0.1  ABI_X86="32*"
[ebuild   R    ] sys-libs/libomp-10.0.1  ABI_X86="32*"
[ebuild   R    ] net-libs/libssh2-1.9.0_p20190913  ABI_X86="32*"
[ebuild   R    ] dev-libs/libevent-2.1.12  ABI_X86="32*"
[ebuild   R    ] sys-devel/clang-runtime-10.0.1  ABI_X86="32*"
[ebuild   R    ] sys-devel/clang-10.0.1  ABI_X86="32*"
[ebuild   R    ] dev-libs/expat-2.2.10  ABI_X86="32*"
[ebuild   R    ] sys-libs/gdbm-1.18.1-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/icu-67.1 [67.1] ABI_X86="32*"
[ebuild   R    ] x11-libs/libICE-1.0.10  ABI_X86="32*"
[ebuild   R    ] sys-libs/db-6.0.35-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXau-1.0.9  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXdmcp-1.1.3  ABI_X86="32*"
[ebuild   R    ] x11-libs/libxshmfence-1.3-r1  ABI_X86="32*"
[ebuild   R    ] net-misc/curl-7.72.0-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/alsa-lib-1.2.3.2  ABI_X86="32*"
[ebuild   R    ] media-libs/libvorbis-1.3.7  ABI_X86="32*"
[ebuild   R    ] dev-libs/libuv-1.40.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/nspr-4.29  ABI_X86="32*"
[ebuild   R    ] x11-libs/libpciaccess-0.16  ABI_X86="32*"
[ebuild   R    ] app-text/libpaper-1.1.28  ABI_X86="32*"
[ebuild   R    ] media-libs/tiff-4.1.0  ABI_X86="32*"
[ebuild   R    ] dev-lang/tcl-8.6.9-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/nettle-3.6-r2  ABI_X86="32*"
[ebuild   R    ] media-libs/libwebp-1.1.0  ABI_X86="32*"
[ebuild   R    ] net-dns/c-ares-1.16.1  ABI_X86="32*"
[ebuild   R    ] app-crypt/libb2-0.98.1-r3  ABI_X86="32*"
[ebuild   R    ] net-libs/libasyncns-0.8-r4  ABI_X86="32*"
[ebuild   R    ] media-libs/speexdsp-1.2_rc3-r2  ABI_X86="32*"
[ebuild   R    ] media-libs/webrtc-audio-processing-0.3.1  ABI_X86="32*"
[ebuild   R    ] sys-process/numactl-2.0.14  ABI_X86="32*"
[ebuild   R    ] media-libs/libsamplerate-0.1.9-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/protobuf-3.13.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/libxml2-2.9.10-r3  ABI_X86="32*"
[ebuild   R    ] dev-db/sqlite-3.33.0  ABI_X86="32*"
[ebuild   R    ] media-libs/openjpeg-2.3.1-r1  ABI_X86="32*"
[ebuild   R    ] dev-lang/rust-1.46.0  ABI_X86="32*"
[ebuild   R    ] virtual/rust-1.46.0  ABI_X86="32*"
[ebuild   R    ] x11-base/xcb-proto-1.14-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/nss-3.57  ABI_X86="32*"
[ebuild   R    ] net-libs/libndp-1.7  ABI_X86="32*"
[ebuild   R    ] dev-cpp/atkmm-2.28.0  ABI_X86="32*"
[ebuild   R    ] net-dns/libidn2-2.3.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/libtasn1-4.16.0  ABI_X86="32*"
[ebuild   R    ] x11-libs/libSM-1.2.3-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/graphene-1.10.2  ABI_X86="32*"
[ebuild   R    ] app-crypt/p11-kit-0.23.21  ABI_X86="32*"
[ebuild   R    ] net-libs/libpsl-0.21.1  ABI_X86="32*"
[ebuild   R    ] dev-libs/libnl-3.5.0  ABI_X86="32*"
[ebuild   R    ] sys-devel/flex-2.6.4-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/harfbuzz-2.7.2  ABI_X86="32*"
[ebuild   R    ] dev-libs/elfutils-0.181  ABI_X86="32*"
[ebuild   R    ] virtual/libelf-3  ABI_X86="32*"
[ebuild   R    ] media-libs/flac-1.3.3  ABI_X86="32*"
[ebuild   R    ] media-libs/libsndfile-1.0.30  ABI_X86="32*"
[ebuild   R    ] dev-libs/libcdio-2.1.0-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/fontconfig-2.13.1-r2  ABI_X86="32*"
[ebuild   R    ] sys-libs/pam-1.4.0_p20200829  ABI_X86="32*"
[ebuild   R    ] sys-apps/dbus-1.12.20  ABI_X86="32*"
[ebuild   R    ] net-libs/libproxy-0.4.15-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/dbus-glib-0.110  ABI_X86="32*"
[ebuild   R    ] sys-libs/binutils-libs-2.35.1  ABI_X86="32*"
[ebuild   R    ] x11-libs/libxcb-1.14 [1.14] ABI_X86="32*"
[ebuild   R    ] x11-libs/libX11-1.6.12  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXext-1.3.4  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXrender-0.9.10-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/cairo-1.17.2  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXfixes-5.0.3-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXi-1.7.10  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXt-1.2.0  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXrandr-1.5.2  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXdamage-1.1.5  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXcomposite-0.4.5  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXxf86vm-1.1.4-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXcursor-1.2.0  ABI_X86="32*"
[ebuild   R    ] media-libs/libglvnd-1.3.2-r1 [1.3.2-r1] ABI_X86="32*"
[ebuild   R    ] media-libs/mesa-20.2.0  ABI_X86="32*"
[ebuild   R    ] media-libs/libepoxy-1.5.4  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXft-2.3.3  ABI_X86="32*"
[ebuild   R    ] x11-libs/pango-1.42.4-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXmu-1.1.3  ABI_X86="32*"
[ebuild   R    ] virtual/opengl-7.0-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXtst-1.2.3-r1  ABI_X86="32*"
[ebuild   R    ] x11-libs/xcb-util-renderutil-0.3.9-r3  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXv-1.0.11-r2  ABI_X86="32*"
[ebuild   R    ] dev-cpp/cairomm-1.12.0-r1  ABI_X86="32*"
[ebuild   R    ] x11-libs/xcb-util-keysyms-0.4.0-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/xcb-util-wm-0.4.1-r3  ABI_X86="32*"
[ebuild   R    ] dev-cpp/pangomm-2.42.1  ABI_X86="32*"
[ebuild   R    ] media-libs/glu-9.0.1  ABI_X86="32*"
[ebuild   R    ] virtual/glu-9.0-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/xcb-util-0.4.0-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/xcb-util-image-0.4.0-r2  ABI_X86="32*"
[ebuild   R    ] x11-libs/xcb-util-cursor-0.1.3-r3  ABI_X86="32*"
[ebuild   R    ] x11-libs/libxkbfile-1.1.0  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXinerama-1.1.4-r1  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXpresent-1.0.0-r1  ABI_X86="32*"
[ebuild   R    ] x11-libs/libxkbcommon-1.0.1-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/glew-2.2.0  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXScrnSaver-1.2.3  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXpm-3.5.13  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXaw-1.0.13-r2  ABI_X86="32*"
[ebuild   R    ] app-accessibility/at-spi2-core-2.38.0  ABI_X86="32*"
[ebuild   R    ] app-accessibility/at-spi2-atk-2.38.0  ABI_X86="32*"
[ebuild   R    ] x11-libs/gdk-pixbuf-2.40.0  ABI_X86="32*"
[ebuild   R    ] x11-libs/libnotify-0.7.9  ABI_X86="32*"
[ebuild   R    ] net-libs/gnutls-3.6.15  ABI_X86="32*"
[ebuild   R    ] media-video/ffmpeg-4.3.1  ABI_X86="32*"
[ebuild   R    ] net-libs/glib-networking-2.65.1  ABI_X86="32*"
[ebuild   R    ] sys-devel/gettext-0.21  ABI_X86="32*"
[ebuild   R    ] sys-apps/attr-2.4.48-r4  ABI_X86="32*"
[ebuild   R    ] sys-libs/libcap-2.44  ABI_X86="32*"
[ebuild   R    ] sys-apps/acl-2.2.53-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/libgpg-error-1.39  ABI_X86="32*"
[ebuild   R    ] dev-libs/libgcrypt-1.8.6  ABI_X86="32*"
[ebuild   R    ] sys-apps/systemd-246-r1  ABI_X86="32*"
[ebuild   R    ] virtual/libudev-232-r3  ABI_X86="32*"
[ebuild   R    ] virtual/acl-0-r2  ABI_X86="32*"
[ebuild   R    ] gnome-base/librsvg-2.50.1  ABI_X86="32*"
[ebuild   R    ] dev-libs/popt-1.18  ABI_X86="32*"
[ebuild   R    ] sys-process/procps-3.3.16-r2  ABI_X86="32*"
[ebuild   R    ] dev-libs/libxslt-1.1.34-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/gstreamer-1.16.2  ABI_X86="32*"
[ebuild   R    ] net-print/cups-2.3.3-r1  ABI_X86="32*"
[ebuild   R    ] app-crypt/rhash-1.4.0  ABI_X86="32*"
[ebuild   R    ] net-dns/libidn-1.36  ABI_X86="32*"
[ebuild   R    ] net-libs/libsoup-2.72.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/libcdio-paranoia-2.0.1  ABI_X86="32*"
[ebuild     U  ] dev-qt/qtcore-5.15.1-r1 [5.15.1]
[ebuild   R    ] media-libs/libexif-0.6.22  ABI_X86="32*"
[ebuild   R    ] x11-libs/gtk+-3.24.23  ABI_X86="32*"
[ebuild   R    ] dev-libs/libgudev-233-r1  ABI_X86="32*"
[ebuild   R    ] media-libs/gst-plugins-base-1.16.2  ABI_X86="32*"
[ebuild   R    ] app-arch/libarchive-3.4.3  ABI_X86="32*"
[ebuild   R    ] net-misc/networkmanager-1.26.2-r1  ABI_X86="32*"
[ebuild   R    ] app-crypt/libsecret-0.20.3  ABI_X86="32*"
[ebuild   R    ] dev-libs/libusb-1.0.23-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/json-glib-1.4.4  ABI_X86="32*"
[ebuild   R    ] sys-apps/pciutils-3.7.0  ABI_X86="32*"
[ebuild     U  ] www-client/firefox-81.0.1-r1 [81.0.1] L10N="-ach% -af% -an% -ar% -ast% -az% -be% -bg% -bn% -br% -bs% -ca% -ca-valencia% -cak% -cs% -cy% -da% -dsb% -el% -eo% -es-AR% -es-CL% -es-ES% -es-MX% -et% -eu% -fa% -ff% -fi% -fr% -fy% -ga% -gd% -gl% -gn% -gu% -he% -hi% -hr% -hsb% -hu% -hy% -ia% -id% -is% -it% -ja% -ka% -kab% -kk% -km% -kn% -ko% -lij% -lt% -lv% -mk% -mr% -ms% -my% -nb% -ne% -nl% -nn% -oc% -pa% -pl% -pt-BR% -pt-PT% -rm% -ro% -si% -sk% -sl% -son% -sq% -sr% -sv% -ta% -te% -th% -tl% -tr% -trs% -uk% -ur% -uz% -vi% -xh% -zh-CN% -zh-TW%"
[ebuild   R    ] x11-libs/wxGTK-3.1.4-r300  ABI_X86="32*"
[ebuild   R    ] dev-cpp/gtkmm-3.24.2  ABI_X86="32*"
[ebuild   R    ] x11-libs/wxGTK-3.0.4-r302  ABI_X86="32*"
[ebuild   R    ] media-plugins/gst-plugins-opus-1.16.2  ABI_X86="32*"
[ebuild   R    ] media-libs/gst-plugins-bad-1.16.2  ABI_X86="32*"
[ebuild   R    ] virtual/libusb-1-r2  ABI_X86="32*"
[ebuild   R    ] media-sound/pulseaudio-13.99.2  ABI_X86="32*"
[ebuild   R    ] media-plugins/alsa-plugins-1.2.2  ABI_X86="32*"

Would you like to merge these packages? [Yes/No]


Last edited by chrootman on Thu Oct 15, 2020 5:37 am; edited 1 time in total
Back to top
View user's profile Send private message
chrootman
n00b
n00b


Joined: 18 Aug 2020
Posts: 11

PostPosted: Thu Oct 15, 2020 5:34 am    Post subject: Reply with quote

Lo solucioné con:
/etc/portage/package.use/usevars
Code:
virtual/notification-daemon -gnome -kde
>=x11-libs/gtk+-2.24.32-r1:2 abi_x86_32

/etc/portage/package.mask
Code:
*/*::pg_overlay
*/*::jorgicio

/etc/portage/package.unmask
Code:
=net-print/samsung-unified-driver-1.00.39::pg_overlay
=x11-apps/ocs-url-3.1.0::jorgicio

/etc/portage/make.conf
Code:
USE="notification themes extras base fonts mount nls systemd X xorg -kde -games -bluetooth -qt4 -qt5 gtk gnome networkmanager"

No se congela nada ahora y sí pude compilar atkmm y gtkmm.

Mantuve el mismo profile default/linux/amd64/17.1/systemd (stable) :
Code:
# eselect profile list
Available profile symlink targets:
  [1]   default/linux/amd64/17.0 (stable)
  [2]   default/linux/amd64/17.0/selinux (stable)
  [3]   default/linux/amd64/17.0/hardened (stable)
  [4]   default/linux/amd64/17.0/hardened/selinux (stable)
  [5]   default/linux/amd64/17.0/desktop (stable)
  [6]   default/linux/amd64/17.0/desktop/gnome (stable)
  [7]   default/linux/amd64/17.0/desktop/gnome/systemd (stable)
  [8]   default/linux/amd64/17.0/desktop/plasma (stable)
  [9]   default/linux/amd64/17.0/desktop/plasma/systemd (stable)
  [10]  default/linux/amd64/17.0/developer (stable)
  [11]  default/linux/amd64/17.0/no-multilib (stable)
  [12]  default/linux/amd64/17.0/no-multilib/hardened (stable)
  [13]  default/linux/amd64/17.0/no-multilib/hardened/selinux (stable)
  [14]  default/linux/amd64/17.0/systemd (stable)
  [15]  default/linux/amd64/17.0/x32 (dev)
  [16]  default/linux/amd64/17.1 (stable)
  [17]  default/linux/amd64/17.1/selinux (stable)
  [18]  default/linux/amd64/17.1/hardened (stable)
  [19]  default/linux/amd64/17.1/hardened/selinux (stable)
  [20]  default/linux/amd64/17.1/desktop (stable)
  [21]  default/linux/amd64/17.1/desktop/gnome (stable)
  [22]  default/linux/amd64/17.1/desktop/gnome/systemd (stable)
  [23]  default/linux/amd64/17.1/desktop/plasma (stable)
  [24]  default/linux/amd64/17.1/desktop/plasma/systemd (stable)
  [25]  default/linux/amd64/17.1/developer (stable)
  [26]  default/linux/amd64/17.1/no-multilib (stable)
  [27]  default/linux/amd64/17.1/no-multilib/hardened (stable)
  [28]  default/linux/amd64/17.1/no-multilib/hardened/selinux (stable)
  [29]  default/linux/amd64/17.1/systemd (stable) *
  [30]  default/linux/amd64/17.0/musl (exp)
  [31]  default/linux/amd64/17.0/musl/hardened (exp)
  [32]  default/linux/amd64/17.0/musl/hardened/selinux (exp)
  [33]  default/linux/amd64/17.0/uclibc (exp)
  [34]  default/linux/amd64/17.0/uclibc/hardened (exp)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum